%if 0%{?fedora} <= 12 && 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:        spacewalk-remote-utils
Version:     1.0.2
Release:     8%{?dist}
Summary:     Utilities to interact with a Satellite or Spacewalk server remotely.

Group:       Applications/System
License:     GPLv3+
URL:         https://fedorahosted.org/spacewalk/wiki/spacecmd
Source0:      %{name}-%{version}.tar.gz
Patch0: spacewalk-remote-utils-1.0.2-1-to-spacewalk-remote-utils-1.0.2-2-sat.patch
Patch1: spacewalk-remote-utils-1.0.2-2-sat-to-spacewalk-remote-utils-1.0.2-3-sat.patch
Patch2: spacewalk-remote-utils-1.0.2-3-sat-to-spacewalk-remote-utils-1.0.2-4-sat.patch
Patch3: spacewalk-remote-utils-1.0.2-4-sat-to-spacewalk-remote-utils-1.0.2-5-sat.patch
Patch4: spacewalk-remote-utils-1.0.2-5-sat-to-spacewalk-remote-utils-1.0.2-6-sat.patch
Patch5: spacewalk-remote-utils-1.0.2-6-sat-to-spacewalk-remote-utils-1.0.2-7-sat.patch
Patch6: spacewalk-remote-utils-1.0.2-7-sat-to-spacewalk-remote-utils-1.0.2-8-sat.patch
BuildRoot:   %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:   noarch

BuildRequires: python-devel
BuildRequires: docbook-utils

%description
Utilities to interact with a Satellite or Spacewalk server remotely over XMLRPC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
docbook2man ./spacewalk-create-channel/doc/spacewalk-create-channel.sgml -o ./spacewalk-create-channel/doc/

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{_bindir}
%{__install} -p -m0755 spacewalk-create-channel/spacewalk-create-channel %{buildroot}/%{_bindir}/

%{__mkdir_p} %{buildroot}/%{_datadir}/rhn/channel-data
%{__install} -p -m0644 spacewalk-create-channel/data/* %{buildroot}/%{_datadir}/rhn/channel-data/

%{__mkdir_p} %{buildroot}/%{_mandir}/man1
%{__gzip} -c ./spacewalk-create-channel/doc/spacewalk-create-channel.1 > %{buildroot}/%{_mandir}/man1/spacewalk-create-channel.1.gz

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/spacewalk-create-channel
#%{python_sitelib}/spacecmd/
%{_datadir}/rhn/channel-data/

%doc spacewalk-create-channel/doc/README spacewalk-create-channel/doc/COPYING
%doc %{_mandir}/man1/spacewalk-create-channel.1.gz

%changelog
* Wed Aug 03 2011 Tomas Lestach <tlestach@redhat.com> 1.0.2-8
- 727531 - adding RHEL5.7 channel definitions (tlestach@redhat.com)

* Tue Jun 28 2011 Michael Mraka <michael.mraka@redhat.com> 1.0.2-7
- added data files for RHEL6.1
- added data files for RHEL5.6 Supplementary
- adopted spacewalk-create-channel to RHEL6.1

* Wed Mar 09 2011 Justin Sherrill <jsherril@redhat.com> 1.0.2-6
- adding a few more u6 data files for spacewalk-create-channel
  (jsherril@redhat.com)

* Wed Mar 09 2011 Justin Sherrill <jsherril@redhat.com> 1.0.2-5
- adding new data files for spacewalk-create-channel (jsherril@redhat.com)
- updating spacewalk-create-channel to properly support RHEL 6 and added
  supplementary repos for it  (jsherril@redhat.com)

* Thu Oct 14 2010 Milan Zazrivec <mzazrivec@redhat.com> 1.0.2-4
- fix RHEL-4 build error

* Wed Oct 06 2010 Justin Sherrill <jsherril@redhat.com> 1.0.2-3
- spec file fix (jsherril@redhat.com)

* Wed Oct 06 2010 Justin Sherrill <jsherril@redhat.com> 1.0.2-2
- reseting version (jsherril@redhat.com)

* Wed Oct 06 2010 Justin Sherrill <jsherril@redhat.com> 1.0.6-1
- version bump (jsherril@redhat.com)

* Wed Oct 06 2010 Justin Sherrill <jsherril@redhat.com> 1.0.5-1
- release fix (jsherril@redhat.com)

* Wed Oct 06 2010 Justin Sherrill <jsherril@redhat.com> 1.0.5-3
- version bump (jsherril@redhat.com)

* Wed Oct 06 2010 Shannon Hughes <shughes@redhat.com> 1.0.4-2
- rebuild for 540 release (shughes@redhat.com)

* Wed Oct 06 2010 Shannon Hughes <shughes@redhat.com>
- rebuild 

* Tue Oct 05 2010 Justin Sherrill <jsherril@redhat.com> 1.0.3-2
- Adding initial RHEL 6 support and making some doc changes

* Fri Aug 20 2010 Justin Sherrill <jsherril@redhat.com> 1.0.0-0
- Initial build.  (jlsherrill@redhat.com)

